%define pkg_name        Bot-BasicBot
%define pkg_version     0.7
%define rpm_pkg_version 0.70
%define rpm_pkg_release 2.n0i.3

Summary:       Simple IRC bot base class
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TO/TOMI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
BuildRequires: perl(POE::Component::IRC) >= 2.0
BuildRequires: perl(POE) >= 0.22
BuildRequires: perl(Text::Wrap)


%description
Basic bot system designed to make it easy to do simple bots, optionally
forking longer processes (like searches) concurrently in the background.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.70-2.n0i.3.0.7
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9

* Wed Jun 14 2006 Marius Feraru <altblue@n0i.net> - 0.70-1.n0i.2.0.7
- version 0.7

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.65-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
